
QGIS Application - Bug report #1280

unique values classification fails for GRASS vectors

2008-09-04 08:29 AM - Maciej Sieczka -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11340

Description

Unique values classification fails for GRASS vectors. The debug says:

Debug: /home/shoofi/src/straight/qgis-trunk/src/app/qgsuniquevaluedialog.cpp: 276: (changeClassificationAttribute) called.

Debug: /home/shoofi/src/straight/qgis-trunk/src/providers/grass/qgsgrassprovider.cpp: 1148: (mapOutdated) entered.

Debug: /home/shoofi/src/straight/qgis-trunk/src/providers/grass/qgsgrassprovider.cpp: 1167: (attributesOutdated) entered.

Debug: /home/shoofi/src/straight/qgis-trunk/src/providers/grass/qgsgrassprovider.cpp: 424: (resetSelection) entered.

For shapefiles this functionality works. The debug is different:

Debug: /home/shoofi/src/straight/qgis-trunk/src/app/qgsuniquevaluedialog.cpp: 276: (changeClassificationAttribute) called.

Debug: /home/shoofi/src/straight/qgis-trunk/src/app/qgsuniquevaluedialog.cpp: 202: (addClass) called.

Debug: /home/shoofi/src/straight/qgis-trunk/src/app/qgsuniquevaluedialog.cpp: 202: (addClass) called.

Debug: /home/shoofi/src/straight/qgis-trunk/src/app/qgsuniquevaluedialog.cpp: 202: (addClass) called.

Debug: /home/shoofi/src/straight/qgis-trunk/src/app/qgsuniquevaluedialog.cpp: 202: (addClass) called.

Debug: /home/shoofi/src/straight/qgis-trunk/src/app/qgsuniquevaluedialog.cpp: 202: (addClass) called.

Debug: /home/shoofi/src/straight/qgis-trunk/src/app/qgsuniquevaluedialog.cpp: 202: (addClass) called.

Fixing this issue, please take a look at #983 ("Graduated Symbol" symbology: wrong numeric ranges) too.

Associated revisions

Revision 9e395896 - 2008-09-05 10:46 AM - Jürgen Fischer

fix #1280

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9259 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 6fb8d103 - 2008-09-05 10:46 AM - Jürgen Fischer

fix #1280

git-svn-id: http://svn.osgeo.org/qgis/trunk@9259 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-09-05 01:46 AM - Jürgen Fischer
http://svn.osgeo.org/qgis/trunk/qgis@9259
http://svn.osgeo.org/qgis/trunk@9259


- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:6fb8d103 (SVN r9260)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
